import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import {AdvancedSearchPublicationsRoutingModule} from './advancedSearchPublications-routing.module';
import {OpenaireAdvancedSearchPublicationsComponent} from './advancedSearchPublications.component';

import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {AdvancedSearchResearchResultsModule} from "../../openaireLibrary/searchPages/advanced/advancedSearchResearchResults.module";

@NgModule({
  imports: [
    CommonModule, FormsModule,
    AdvancedSearchPublicationsRoutingModule, AdvancedSearchResearchResultsModule

  ],
  declarations: [
    OpenaireAdvancedSearchPublicationsComponent
   ],
  providers:[FreeGuard],
  exports: [
    OpenaireAdvancedSearchPublicationsComponent
     ]
})
export class LibAdvancedSearchPublicationsModule { }
