import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import {AdvancedSearchSoftwareRoutingModule} from './advancedSearchSoftware-routing.module';
import {OpenaireAdvancedSearchSoftwareComponent} from './advancedSearchSoftware.component';

import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {AdvancedSearchResearchResultsModule} from "../../openaireLibrary/searchPages/advanced/advancedSearchResearchResults.module";

@NgModule({
  imports: [
    CommonModule, FormsModule,
    AdvancedSearchSoftwareRoutingModule, AdvancedSearchResearchResultsModule

  ],
  declarations: [
    OpenaireAdvancedSearchSoftwareComponent
   ],
  providers:[FreeGuard],
  exports: [
    OpenaireAdvancedSearchSoftwareComponent
     ]
})
export class LibAdvancedSearchSoftwareModule { }
