import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import{OpenaireSearchEntityRegistriesTableComponent} from './entityRegistriesTable.component';
import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';


@NgModule({
  imports: [
    RouterModule.forChild([
     	{ path: '', component: OpenaireSearchEntityRegistriesTableComponent, canActivate: [FreeGuard], data: {
          redirect: '/error',  community : 'openaire'
        }, canDeactivate: [PreviousRouteRecorder]  }

    ])
  ]
})
export class EntityRegistriesTableRoutingModule { }
